package com.jz.dm.common.enums;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.enums
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: GeneralStatusTypeEnum
 * @DATE: 2020-12-30/20:08
 * @DAY_NAME_SHORT: 周三
 * @Description: 通用状态枚举
 **/
public enum  GeneralStatusTypeEnum  {

    /**
     * 启用
     */
    ENABLE("启用"),

    /**
     * 停用
     */
    UNABLE("停用"),

    /**
     * 有效'
     */
    VALID("有效"),

    /**
     * 无效
     */
    UN_VALID("无效");

    private String text;

    GeneralStatusTypeEnum(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }
}
