package com.jz.dm.common.enums.auth;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.enums.auth
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: AuthTypeEnum
 * @DATE: 2020-12-26/23:47
 * @DAY_NAME_SHORT: 周六
 * @Description: 授权认证枚举类
 **/
public enum AuthTypeEnum {
    /**
     * 数据银行
     */
    DATA_BANK_AUTH("数据银行授权"),

    /**
     * dmp授权'
     */
    DMP_AUTH("DMP授权");

    private String text;

    AuthTypeEnum(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }
}
