package com.jz.dm.models.req.organizationManage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: OrganizationManageListQueryReq
 * @DATE: 2020-12-24/10:34
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
@Data
@ApiModel("组织管理详情请求体")
public class OrganizationManageAddReq implements Serializable {

    //@ApiModelProperty(value = "组织编码(组织唯一标识)",required = true)
    //@NotNull(message = "组织编码不能为空")
    //private String orgCode;

    @ApiModelProperty(value = "组织名称",required = true)
    @NotNull(message = "组织名称不能为空")
    private String orgName;

    @ApiModelProperty(value = "组织描述",required = false)
    private String orgDesc;

    @ApiModelProperty(value = "组织英文名称",required = false)
    private String orgCnName;

    @ApiModelProperty(value = "组织邮箱",required = false)
    private String orgMail;

    @ApiModelProperty(value = "组织电话",required = false)
    private String orgPhone;

    @ApiModelProperty(value = "组织类型",required = true)
    @NotNull(message = "组织类型不能为空!")
    private String orgType;

    @ApiModelProperty(value = "备注",required = false)
    private String remark;
}
