package com.jz.common.utils;
import javax.servlet.http.HttpServletRequest;
/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.common.utils
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: UrlUtil
 * @DATE: 2020-12-25/17:03
 * @DAY_NAME_SHORT: 周五
 * @Description:
 **/
public class UrlUtil {
    /**
     * 获取当前访问URL （含协议、域名、端口号[忽略80端口]、项目名）
     * @param request
     * @return: String
     */
    public static String getServerUrl(HttpServletRequest request) {
        // 访问协议
        String agreement = request.getScheme();
        // 访问域名
        String serverName = request.getServerName();
        // 访问端口号
        int port = request.getServerPort();
        // 访问项目名
        String contextPath = request.getContextPath();
        String url = "%s://%s%s%s";
        String portStr = "";
        if (port != 80) {
            portStr += ":" + port;
        }
        return String.format(url, agreement, serverName, portStr, contextPath);

    }
}
