package com.jz.dm.mall.moduls.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.dm.mall.moduls.controller.goods.bean.dto.DataGoodsApiDto;
import com.jz.dm.mall.moduls.entity.DataGoodsApi;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * api商品(TDataGoodsApi)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:31
 */
public interface DataGoodsApiDao extends BaseMapper<DataGoodsApi> {

    /**
     * 根据主键查询商品详情
     * @param id
     * @return
     */
    List<DataGoodsApiDto> selectById(@Param("goodsApi") Long id);

}