package com.jz.dm.common.exception;


import com.jz.dm.common.util.ResultCode;

/**
 * 签名异常
 *
 */
public class SignatureException extends OpenApiException {

    private static final long serialVersionUID = 6551962245794846748L;

    /**
     * 构造函数
     * 
     * @param resultCode
     */
    public SignatureException(ResultCode resultCode) {
        super(resultCode);
    }

    /**
     * 构造函数
     * @param resultCode
     * @param detailMessage
     */
    public SignatureException(ResultCode resultCode, String detailMessage) {
        super(resultCode, detailMessage);
    }

    /**
     * 构造函数
     * @param resultCode
     * @param cause
     */
    public SignatureException(ResultCode resultCode, Throwable cause) {
        super(resultCode, cause);
    }

    /**
     * 构造函数
     * @param resultCode
     * @param detailMessage
     * @param cause
     */
    public SignatureException(ResultCode resultCode, String detailMessage, Throwable cause) {
        super(resultCode, detailMessage, cause);
    }

}
