package com.jz.dm.filter;

import com.jz.dm.common.constant.Constants;
import com.jz.dm.models.enity.GatewayRequest;
import com.jz.dm.models.enity.GatewayResponse;
import org.springframework.stereotype.Component;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.filter
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: AuthFilter
 * @DATE: 2020-12-23/17:43
 * @DAY_NAME_SHORT: 周三
 * @Description: 认证过滤器
 **/
@Component("authFilter")
public class AuthFilter extends AbstractFilter {


    @Override
    public String getFilterName() {
        return "AuthFilter";
    }

    @Override
    public int getOrder() {
        return Constants.FILTER_ORDER_5;
    }
    @Override
    protected void internalDoFilter(GatewayRequest request, GatewayResponse response, FilterChain chain) {

        //TODO 主要做计费计次验证
        chain.doFilter(request, response);
    }
}
