package com.jz.dm.models.domian;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jz.dm.common.base.BaseObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 * @Description:
 * @Author: Mr.zhang
 * @Date: 2020-12-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_api_interface_file")
public class ApiInterfaceFile extends BaseObject implements Serializable {


	/**
	* api唯一标识
	*/
	@TableField("api_key")
    private String apiKey;

	/**
	* apiInterfaceId
	*/
	@TableField("api_interface_id")
    private Long apiInterfaceId;

	/**
	* 文件类型
	*/
	@TableField("file_type")
    private String apiType;

	/**
	* 文件名称
	*/
	@TableField("file_name")
    private String fileName;
	/**
	* 文件英文名称
	*/
	@TableField("file_en_name")
    private String fileEnName;
	/**
	* 'VALID 有效,UNVALID 无效'
	*/
	@TableField("status")
    private String status;


}
