package com.jz.dm.models.req.auth;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: SaltResetReq
 * @DATE: 2020-12-26/19:16
 * @DAY_NAME_SHORT: 周六
 * @Description:
 **/
@Data
@ApiModel("盐值重置请求体")
public class SaltResetReq implements Serializable {
    @ApiModelProperty(value = "id",required = true)
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty(value = "盐值",required = true)
    @NotNull(message = "盐值不能为空")
    private String salt;

}
