package com.jz.dm.mall.moduls.controller.goods.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/23
 * @Version:
 */
@ApiModel(value = "数据详情")
public class DataDetailsDto implements Serializable {

    @ApiModelProperty(value = "供应商名称")
    private String supplierName;

    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ApiModelProperty(value = "价格类型")
    private String priceType;

    /**
     * 请求类型（方式）
     */
    @ApiModelProperty(value = "请求类型（方式）")
    private String requestType;

    /**
     * api接口地址
     */
    @ApiModelProperty(value = "api接口地址")
    private String apiUrl;

    /**
     * api接口方法
     */
    @ApiModelProperty(value = "api接口方法")
    private String apiMethod;

    /**
     * 返回类型
     */
    @ApiModelProperty(value = "返回类型")
    private String returnType;


    @ApiModelProperty(value = "年(元)")
    private BigDecimal yearType;

    @ApiModelProperty(value = "季(元)")
    private BigDecimal seasonType;

    @ApiModelProperty(value = "月(元)")
    private BigDecimal monthType;

    @ApiModelProperty(value = "次(元)")
    private BigDecimal secondType;

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public String getRequestType() {
        return requestType;
    }

    public void setRequestType(String requestType) {
        this.requestType = requestType;
    }

    public String getApiUrl() {
        return apiUrl;
    }

    public void setApiUrl(String apiUrl) {
        this.apiUrl = apiUrl;
    }

    public String getApiMethod() {
        return apiMethod;
    }

    public void setApiMethod(String apiMethod) {
        this.apiMethod = apiMethod;
    }

    public String getReturnType() {
        return returnType;
    }

    public void setReturnType(String returnType) {
        this.returnType = returnType;
    }

    public BigDecimal getYearType() {
        return yearType;
    }

    public void setYearType(BigDecimal yearType) {
        this.yearType = yearType;
    }

    public BigDecimal getSeasonType() {
        return seasonType;
    }

    public void setSeasonType(BigDecimal seasonType) {
        this.seasonType = seasonType;
    }

    public BigDecimal getMonthType() {
        return monthType;
    }

    public void setMonthType(BigDecimal monthType) {
        this.monthType = monthType;
    }

    public BigDecimal getSecondType() {
        return secondType;
    }

    public void setSecondType(BigDecimal secondType) {
        this.secondType = secondType;
    }
}
