package com.jz.dm.mall.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业客户交易流水(TFinanceTradeFlow)实体类
 *
 * @author makejava
 * @since 2020-12-01 10:41:39
 */
@TableName("t_finance_trade_flow")
@ApiModel
public class FinanceTradeFlow implements Serializable {
    private static final long serialVersionUID = -55257582310832314L;
    /**
     * 交易流水id
     */
    @TableId(value = "trade_flow_id",type = IdType.AUTO)
    private Long tradeFlowId;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 提现id
     */
    private Long cashOutId;
    /**
     * 充值id
     */
    private Long customerBalanceId;
    /**
     * 交易流水编号
     */
    private String tradeFlowNumber;
    /**
     * 交易流水金额
     */
    private BigDecimal tradeMoney;
    /**
     * 交易类型：01提现，02充值，03付款，04收款，05续费
     */
    private String tradeType;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 删除标识
     */
    private String delFlag;


    public Long getTradeFlowId() {
        return tradeFlowId;
    }

    public void setTradeFlowId(Long tradeFlowId) {
        this.tradeFlowId = tradeFlowId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getCashOutId() {
        return cashOutId;
    }

    public void setCashOutId(Long cashOutId) {
        this.cashOutId = cashOutId;
    }

    public Long getCustomerBalanceId() {
        return customerBalanceId;
    }

    public void setCustomerBalanceId(Long customerBalanceId) {
        this.customerBalanceId = customerBalanceId;
    }

    public String getTradeFlowNumber() {
        return tradeFlowNumber;
    }

    public void setTradeFlowNumber(String tradeFlowNumber) {
        this.tradeFlowNumber = tradeFlowNumber;
    }

    public BigDecimal getTradeMoney() {
        return tradeMoney;
    }

    public void setTradeMoney(BigDecimal tradeMoney) {
        this.tradeMoney = tradeMoney;
    }

    public String getTradeType() {
        return tradeType;
    }

    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getCrePerson() {
        return crePerson;
    }

    public void setCrePerson(String crePerson) {
        this.crePerson = crePerson;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}