package com.jz.dm.mall.moduls.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.dm.mall.moduls.entity.FinanceCustomerAssets;
import com.jz.dm.mall.moduls.entity.FinanceCustomerBalance;
import org.apache.ibatis.annotations.Param;

/**
 * 商城企业客户资产(TFinanceCustomerAssets)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
public interface FinanceCustomerAssetsDao extends BaseMapper<FinanceCustomerAssets> {

    int uptAccountMoney(FinanceCustomerAssets financeCustomerAssets) throws Exception;

    int addCoustomerCzMoney(FinanceCustomerBalance financeCustomerBalance) throws Exception;

    /**
     * 添加账户信息
     * @param finance
     * @return
     */
    int insertFinanceCustome(@Param("finance") FinanceCustomerAssets finance);
}