package com.jz.dm.mall.moduls.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.dm.mall.moduls.controller.finance.bean.EveryTradeFlowDto;
import com.jz.dm.mall.moduls.controller.finance.bean.FinanceCashOutDto;
import com.jz.dm.mall.moduls.controller.finance.bean.FinanceCustomerAssetsDto;
import com.jz.dm.mall.moduls.controller.finance.bean.FinanceTradeFlowDto;
import com.jz.dm.mall.moduls.entity.FinanceCashOut;
import com.jz.dm.mall.moduls.entity.FinanceTradeFlow;

import java.util.List;
import java.util.Map;

/**
 * 企业客户交易流水(TFinanceTradeFlow)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:39
 */

public interface FinanceTradeFlowDao extends BaseMapper<FinanceTradeFlow> {


    FinanceCustomerAssetsDto queryAccountMoneyByMap(Map map) throws Exception;

    List<FinanceCashOutDto> getCashOutAuditStutas(Map map) throws Exception;

    int addCashOutMoney(FinanceCashOut financeCashOut) throws Exception;

    List<FinanceTradeFlowDto> findListScTradeFlow(Map param) throws Exception;

    List<EveryTradeFlowDto> findListEveryDayScInfo(Map param) throws Exception;
}