package com.jz.dm.mall.moduls.service;

import com.jz.common.bean.PageInfoResponse;
import com.jz.dm.mall.moduls.controller.order.bean.OrderDto;
import com.jz.dm.mall.moduls.controller.order.bean.OrderRequest;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 订单表(TOrder)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
public interface OrderService {


    PageInfoResponse<OrderDto> findList(OrderRequest order, HttpServletRequest req) throws Exception;

    OrderDto getOrderDetail(String orderId) throws Exception;

    Map getApiInterfaceDetail(Map params) throws Exception;
}