package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * api商品(DataGoodsApi)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:31
 */
@TableName("t_data_goods_api")
@ApiModel
public class DataGoodsApi implements Serializable {
    private static final long serialVersionUID = -14346819849726413L;
    /**
     * api商品id
     */
    private Long goodsApi;
    /**
     * 数据id
     */
    private Long dataGoodsId;
    /**
     * api服务名称
     */
    private String apiName;
    /**
     * 请求类型（方式）
     */
    private String requestType;
    /**
     * api接口地址
     */
    private String apiUrl;
    /**
     * api接口方法
     */
    private String apiMethod;
    /**
     * api请求协议：http，https
     */
    private String apiProtocl;
    /**
     * api返回数据样例
     */
    private String returnDataExample;
    /**
     * api请求样例
     */
    private String requestExample;
    /**
     * 返回类型
     */
    private String returnType;
    /**
     * apikey
     */
    private String apiKey;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 更新人
     */
    private String uptPerson;
    /**
     * 更新时间
     */
    private Date uptTime;
    /**
     * 删除标识
     */
    private String delFlag;


    public Long getGoodsApi() {
        return goodsApi;
    }

    public void setGoodsApi(Long goodsApi) {
        this.goodsApi = goodsApi;
    }

    public Long getDataGoodsId() {
        return dataGoodsId;
    }

    public void setDataGoodsId(Long dataGoodsId) {
        this.dataGoodsId = dataGoodsId;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName;
    }

    public String getRequestType() {
        return requestType;
    }

    public void setRequestType(String requestType) {
        this.requestType = requestType;
    }

    public String getApiUrl() {
        return apiUrl;
    }

    public void setApiUrl(String apiUrl) {
        this.apiUrl = apiUrl;
    }

    public String getApiMethod() {
        return apiMethod;
    }

    public void setApiMethod(String apiMethod) {
        this.apiMethod = apiMethod;
    }

    public String getApiProtocl() {
        return apiProtocl;
    }

    public void setApiProtocl(String apiProtocl) {
        this.apiProtocl = apiProtocl;
    }

    public String getReturnDataExample() {
        return returnDataExample;
    }

    public void setReturnDataExample(String returnDataExample) {
        this.returnDataExample = returnDataExample;
    }

    public String getRequestExample() {
        return requestExample;
    }

    public void setRequestExample(String requestExample) {
        this.requestExample = requestExample;
    }

    public String getReturnType() {
        return returnType;
    }

    public void setReturnType(String returnType) {
        this.returnType = returnType;
    }

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getCrePerson() {
        return crePerson;
    }

    public void setCrePerson(String crePerson) {
        this.crePerson = crePerson;
    }

    public String getUptPerson() {
        return uptPerson;
    }

    public void setUptPerson(String uptPerson) {
        this.uptPerson = uptPerson;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}